"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initTsConfigTransformFactory = void 0;
const color_1 = require("../../utils/color");
const transform_1 = require("../../graph/transform");
const nodes_1 = require("../nodes");
const tsconfig_1 = require("../../ts/tsconfig");
const log_1 = require("../../utils/log");
const initTsConfigTransformFactory = (defaultTsConfig) => transform_1.transformFromPromise(async (graph) => {
    // Initialize tsconfig for each entry point
    const entryPoints = graph.filter(nodes_1.isEntryPoint);
    tsconfig_1.initializeTsConfig(defaultTsConfig, entryPoints);
    if (defaultTsConfig.options.enableIvy) {
        const ivyMsg = '******************************************************************************\n' +
            'It is not recommended to publish Ivy libraries to NPM repositories.\n' +
            'Read more here: https://v9.angular.io/guide/ivy#maintaining-library-compatibility\n' +
            '******************************************************************************';
        log_1.msg(color_1.colors.yellow(ivyMsg));
    }
    return graph;
});
exports.initTsConfigTransformFactory = initTsConfigTransformFactory;
//# sourceMappingURL=init-tsconfig.transform.js.map